Bug 1479429 - atomic install --system does not work without docker
atomic install --system does not work without docker
Status: ASSIGNED
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: atomic (Show other bugs)
7.6
x86_64 Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Brent Baude
atomic-bugs@redhat.com
: Extras
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-08 10:32 EDT by carl.pettersson
Modified: 2017-08-08 12:26 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description carl.pettersson 2017-08-08 10:32:51 EDT
Description of problem:
As discussed on IRC.
If the docker daemon is not running, and cannot start, running atomic install --system fails with the error "The docker daemon does not appear to be running". Modifying /bin/atomic to print a stacktrace gives this output: https://gist.github.com/carlpett/3b2cf53a4b3c87e74a75030b61a4fb9e. 

Version-Release number of selected component (if applicable):

# cat /etc/os-release
NAME="CentOSDev Atomic Host"
VERSION="7.2017.382 (Devel)"
ID="centos"
ID_LIKE="rhel fedora"
VERSION_ID="7"
PRETTY_NAME="CentOSDev Atomic Host 7.2017.382 (Devel)"
ANSI_COLOR="0;31"
HOME_URL="https://wiki.centos.org/SpecialInterestGroup/Atomic/Download/"
BUG_REPORT_URL="https://bugs.centos.org/"
VARIANT="Atomic Host"
VARIANT_ID=atomic.host
OSTREE_VERSION=7.2017.382


How reproducible:
100%

Steps to Reproduce:
1. Edit docker sysconfig so docker does not start, for example set DOCKER_STORAGE_OPTIONS="this-will-trigger-error" in /etc/sysconfig/docker-storage
2. atomic install --storage=ostree --system --system-package=no ...


Actual results:
"The docker daemon does not appear to be running"

Expected results:
Installation proceeds as normal

Additional info:
Tested on latest Fedora 26-Atomic image and could not reproduce.
Comment 2 carl.pettersson 2017-08-08 10:33:58 EDT
Also tested on latest Centos Atomic image before bumping to smoketested, same results.
Comment 3 carl.pettersson 2017-08-08 10:41:06 EDT
After some more testing, it appears the docker config does _not_ need to be broken, it is sufficient to just do systemctl stop docker.
Comment 4 Daniel Walsh 2017-08-08 10:43:57 EDT
Brent this might already be fixed in the latest atomic.
Comment 5 Brent Baude 2017-08-08 11:19:03 EDT
what version of atomic is this on?
Comment 6 carl.pettersson 2017-08-08 11:23:52 EDT
These are the two versions I tested on:

# rpm-ostree status
State: idle
Deployments:
● centos-atomic-continuous:centos-atomic-host/7/x86_64/devel/smoketested
                Version: 7.2017.382 (2017-06-01 23:23:33)
                 Commit: e5df0bc2f2ac723d376a1c0ca94dd3a405c9ed60490b712021b3ee03b73373de

  centos-atomic-host:centos-atomic-host/7/x86_64/standard
                Version: 7.1706 (2017-07-06 16:32:44)
                 Commit: 4620e591a76a44b624f6526bc6e8222d6db8de111e504ea50bbb544cd904a040
           GPGSignature: 1 signature
                         Signature made Thu 06 Jul 2017 04:33:03 PM UTC using RSA key ID F17E745691BA8335
                         Good signature from "CentOS Atomic SIG <security@centos.org>"
Comment 7 Brent Baude 2017-08-08 11:56:29 EDT
sorry, i meant rpm -q atomic
Comment 8 carl.pettersson 2017-08-08 12:26:56 EDT
Oh, sorry about that. Here's the atomic of the deployed version:
atomic-1.17.2-4.git2760e30.el7.x86_64

Note You need to log in before you can comment on or make changes to this bug.